<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('coins_trading', function (Blueprint $table) {
            $table->id();
            $table->float('amount');
            $table->float('rate');
            $table->float('profit');
            $table->float('leverage');
            $table->string('date');
            $table->string('status');
            $table->string('asset');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('coins_trading');
    }
};
